org.gjt.sp.jedit.io

## Class EncodingWithBOM

- java.lang.Object
- - org.gjt.sp.jedit.io.EncodingWithBOM

- All Implemented Interfaces:
    Encoding

      public class EncodingWithBOM
      extends java.lang.Object
      implements Encoding

  Encodings which have BOM at the beginning of byte stream.
  Since:
    4.3pre10

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EncodingWithBOM.Detector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodingWithBOM(java.lang.String plain)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.Reader` | `getPermissiveTextReader(java.io.InputStream in)` Map an InputStream to a Reader.
    `java.io.Reader` | `getTextReader(java.io.InputStream in)` Map an InputStream to a Reader.
    `java.io.Writer` | `getTextWriter(java.io.OutputStream out)` Map an OutputStream to a Writer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncodingWithBOM

          public EncodingWithBOM(java.lang.String plain)

  - ### Method Detail

    - #### getTextReader

          @Nonnull
          public java.io.Reader getTextReader(@Nonnull
                                             java.io.InputStream in)
                                       throws java.io.IOException

      Description copied from interface: `Encoding`
      Map an InputStream to a Reader. Decode-error while reading from this Reader should be reported by throwing an IOException.
      Specified by:
        `getTextReader` in interface `Encoding`
      Throws:
        `java.io.IOException`

    - #### getTextWriter

          @Nonnull
          public java.io.Writer getTextWriter(@Nonnull
                                             java.io.OutputStream out)
                                       throws java.io.IOException

      Description copied from interface: `Encoding`
      Map an OutputStream to a Writer. Encode-error while writing to this Writer should be reported by throwing an IOException.
      Specified by:
        `getTextWriter` in interface `Encoding`
      Throws:
        `java.io.IOException`

    - #### getPermissiveTextReader

          @Nonnull
          public java.io.Reader getPermissiveTextReader(@Nonnull
                                                       java.io.InputStream in)
                                                 throws java.io.IOException

      Description copied from interface: `Encoding`
      Map an InputStream to a Reader. Decode-error while reading from this Reader should be ignored or replaced.
      Specified by:
        `getPermissiveTextReader` in interface `Encoding`
      Throws:
        `java.io.IOException`